using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_NeiRong_ZhuanJi_ShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("删除专辑", "网站后台", "删除专辑", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("19");

        int ID = Convert.ToInt32(Request.QueryString["ID"]);
        String 专辑封面;
        SqlCommand 语句 = new SqlCommand("SELECT [专辑封面] FROM ["+程序.数据表前缀+"内容_音乐_专辑] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
        {
            专辑封面 = Convert.ToString(读取["专辑封面"]);
            读取.Close();
        }
        else
        {
            读取.Close();
            throw new Exception("专辑不存在");
        }

        if (File.Exists(Server.MapPath(专辑封面)))
            File.Delete(Server.MapPath(专辑封面));

        语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "内容_音乐_专辑] WHERE [ID]=" + ID, 访问.连接);
        语句.ExecuteNonQuery();
        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("删除专辑", 访问.用户["昵称"].ToString());

        Response.Redirect(Request.QueryString["rurl"]);
    }
}
